pymatgen (2026.3.23+dfsg1-3) unstable; urgency=medium

  * drop Build-Depends: python3-ase
    Optional (Recommended) dependency, but not currently available due
    to gpaw test failure.

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Aug 2026 15:43:21 +0200

pymatgen (2026.3.23+dfsg1-2) unstable; urgency=medium

  * update debian patch manage_tests.patch to test
    test_get_info_icohps_neighbors with sorted neighbour lists.
    List order is not guaranteed (may be different on i386).
  * s390x: skip test_spillage_from_vasprun in debian/tests

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Aug 2026 14:00:21 +0200

pymatgen (2026.3.23+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - massive refactoring, moving many components into separate
      pymatgen-core package and therefore removing test files.
      Removes io/vasp (test_outputs.py). Closes: #1030722.
      Removes io/test_packmol.py. Closes: #1118027.
      Deprecates debian patches:
       do-not-access-internet-during-build.patch
       skip-performance-tests.patch
       skip_nonfree_testfile.patch
       tests_init.patch
       test_files_writing.patch
       test_lammps_regex_path.patch
       tests_pass_or_skip.patch
    - set python3-pymatgen to Architecture: all
      Binary (cython) extensions have been moved to pymatgen-core
    - Build-Depends: python3-pymatgen-core
    - update versioned Build-Depends: python3-netcdf4 (>= 1.7.2~)
    - moves tests/files to test-files
      (update Files-Excluded: in debian/copyright)
  * debian patch move_pymatgen-core_9ac43d4.patch applies upstream
    commit 9ac43d4 removing files which have been moved to pymatgen-core
  * pymatgen-test-files moved test files to test-files subdir
    Test Depends: pymatgen-test-files (>= 2026.3.23~)
  * debian patch manage_tests.patch helps tests to pass smoothly
    - analysis/test_phase_diagram.py: run matplotlib test with Agg
      backend to not display the plot window itself
  * drop all test skips. Clean sweep for new refactored version.
    - skip test_pmg_view in test_pmg.py (generates an XIO error when
      shutting down (after successfully running the test)
  * update debian/watch to v5 GitHub template
    - use Dversion-Mangle: auto
    - add explicit Uversion-Mangle to catch older alpha (a)
      and beta (b) releases
  * Standards-Version: 4.7.4

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 May 2026 14:42:16 +0200

pymatgen (2025.10.7+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - works with NumPy 2.3. Closes: #1114711
    - applies debian patches CVE-2022-42964_ReDOS_vulnerability.patch
      and fix-build-with-new-uncertainties.patch
    - Build-Depends: python3-bibtexparser instead of python3-pybtex
    - Build-Depends: pymatgen-test-files (>= 2025.10.7~)
    - Build-Depends: python3-orjson
  * drop Build-Depends: python3-vtk9 | python3-paraview
    (crashes with vtk9 9.3.0). Keep Recommends for run-time.
  * debian patch test_no_moyopy.patch skips tests using moyopy
    (in analysis/test_prototypes.py), which is not (yet) packaged
  * drop debian/tests/test-pymatgen-net, since network tests
    (ext/test_cod.py) have been disabled upstream
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Oct 2025 01:29:18 +0200

pymatgen (2025.2.18+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix build with new uncertainties. Closes: #1106436.
  * Do not try to access Internet during build. Closes: #1107280.
  * Skip performance tests, as they fail in Salsa CI.
  * Change BD from python3-numpy to python3-numpy-dev (lintian error).

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jun 2025 10:45:00 +0200

pymatgen (2025.2.18+dfsg1-4) unstable; urgency=medium

  * debian/tests: use quotes with SKIP_TEST_LIST to enable multiword
    entries (needed for riscv64)

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Feb 2025 11:52:14 +0100

pymatgen (2025.2.18+dfsg1-3) unstable; urgency=medium

  * fix setting EXTRA_TEST_FLAGS for debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 22:38:14 +0100

pymatgen (2025.2.18+dfsg1-2) unstable; urgency=medium

  * skip slowest tests on riscv64 to help avoid timeout:
    test_xrd test_volume_predictor test_structure test_tensors
    test_boltztrap test_optics test_outputs test_dos.
    Add verbose flag.
  * sparc64: skip failing tests
  * debian/tests: report 30 slowest tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 11:42:24 +0100

pymatgen (2025.2.18+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches 32bit_indexing_PR4194.patch,
      fix_abinit_header_PR4223.patch, test_deprecated_scipy.patch
    - update versioned Build-Depends: python3-monty (>= 2025.1.9~),
      python3-plotly (>= 5.0.0~), python3-phonopy (>= 2.33.3~),
      pymatgen-test-files (>= 2025.2.18~)
  * update tests_pass_or_skip.patch to drop moyopy symmetry test in
    test_structure.py (moyopy is not yet packaged for debian)

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Feb 2025 01:34:10 +0100

pymatgen (2024.10.29+dfsg1-5) unstable; urgency=medium

  * drop Build-Depends: python3-emmet-core
    (circular dependency removed upstream)
  * update debian patches
    - test_deprecated_scipy.patch works around use of
      deprecated scipy functions
    - fix_abinit_header_PR4223.patch applies upstream PR#4223
      to fix handling of headers in abinit io
    - test_tolerance.patch relax tolerance in test_eos
    - tests_pass_or_skip.patch: skip test_param_dict in io/exciting
      due to inconsistent test data
  * debian/tests Depends: python3-all to support `py3versions -s`

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Feb 2025 17:13:27 +0100

pymatgen (2024.10.29+dfsg1-4) unstable; urgency=medium

  * replace debian patch neighbor_set_int64.patch with
    32bit_indexing_PR4194.patch. Applies upstream PR#4194 to fix
    indexing on 32-bit systems.
  * run tests over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Nov 2024 14:16:07 +0100

pymatgen (2024.10.29+dfsg1-3) unstable; urgency=medium

  * revert and reset debian patch neighbor_set_int64.patch to use intp
    instead of int64 when creating separation indices
  * skip test_relax_ase_return_traj on mips64el
  * skip test_read_fe (abinit/test_netcdf.py) on s390x and ppc64.
    Is it a bigendian netCDF issue? Assume hppa, powerpc also affected.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Nov 2024 10:12:06 +0100

pymatgen (2024.10.29+dfsg1-2) unstable; urgency=medium

  * add debian patches
    - test_tolerance.patch fixes tolerances to enable tests
      to pass. cf. upstream issue#4158
    - neighbor_set_int64.patch uses separation_indices as dtype intp,
      needed on 32-bit arches since the dtype of neighbour set indices
      is explicitly set to int64 at coordination_geometry_finder.py l.1738
  * add test_relax_ase_opt_kwargs to mips64el skip list
  * handle spaces in complex test skips for riscv64 by placing them
    last. Otherwise would need quotes "${SKIP_TEST_LIST[@]}" in every
    entry when building the list.

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Nov 2024 19:39:01 +0100

pymatgen (2024.10.29+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: pymatgen-test-files (>= 2024.10.29~)
    - update versioned Build-Depends: python3-monty (>= 2024.7.29~),
      python3-networkx (>= 3~), python3-palettable (>= 3.3.3~),
      python3-spglib (>= 2.5.0~). Closes: #1081680, #1082571.
  * update package Recommends: python3-ase (>= 3.23.0~)
    to match Build-Depends.
  * refresh debian patches: source moved to src subdir
  * update debian patch test_lammps_regex_path.patch to use raw string
    r"\+" to treat '+' in "+dfsg" as a literal plus. Closes: #1085812.
  * Build-Depends: allow python3-paraview as an alternative to python3-vtk9.
    python3-pymatgen Recommends: python3-vtk9 | python3-paraview
  * Drop explicit Depends: python3-spglib from python3-pymatgen.
    Dependency is automated by dh_python3.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Nov 2024 10:46:09 +0100

pymatgen (2024.6.10+dfsg1-8) unstable; urgency=medium

  * python3-mp-api is out-of-date (needs maggma, which is not yet
    packaged), so drop to Suggests: rather than Recommends.
    Drop python3-mp-api from Build-Depends and debian/tests Depends.
    See Bug#1078531.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2024 01:55:38 +0200

pymatgen (2024.6.10+dfsg1-7) unstable; urgency=medium

  * riscv64: skip test_rotate_sites

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 07:47:06 +0200

pymatgen (2024.6.10+dfsg1-6) unstable; urgency=medium

  * riscv64: skip test_relax_ase_return_traj

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 03:03:51 +0200

pymatgen (2024.6.10+dfsg1-5) unstable; urgency=medium

  * riscv64: skip test_relax_ase_opt_kwargs
  * run build tests verbose (-v) on mips64el
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2024 01:07:29 +0200

pymatgen (2024.6.10+dfsg1-4) unstable; urgency=medium

  * debian/patches/tests_pass_or_skip.patch: fix spelling of
    pytest.mark.skipif

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2024 15:08:10 +0200

pymatgen (2024.6.10+dfsg1-3) unstable; urgency=medium

  * update debian patch tests_pass_or_skip.patch
    - analysis/test_quasi_harmonic_debye_approx.py:
      relax tolerance in test_gruneisen_parameter
    - analysis/test_reaction_calculator.py:
      test_hash requires 64-bits, skip on 32-bit systems
  * apply EXTRA_TEST_FLAGS to build tests:
    add extra -v to riscv64 to identify stalling test

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2024 09:51:20 +0200

pymatgen (2024.6.10+dfsg1-2) unstable; urgency=medium

  * Build-Depends: python3-emmet-core, python3-mp-api <!nocheck>

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 19:55:39 +0200

pymatgen (2024.6.10+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - supports Python 3.12. Closes: #1069219.
    - Build-Depends: cython3
    - applies debian patch
      CVE-2024-23346_JonesFaithfulTransformation_sympy-c231cbd.patch
    - update versioned Build-Depends
      python3-matplotlib (>= 3.8~),
      python3-monty (>= 2024.5.24~),
      python3-pandas (>= 2~),
      python3-pybtex (>= 0.24.0~),
      python3-requests (>= 2.32~),
      python3-scipy (>= 1.13.0~),
      python3-tabulate (>= 0.9~),
      python3-tqdm (>= 4.60~),
      python3-joblib (>= 1~),
      python3-ase (>= 3.23.0~),
      python3-h5py (>= 3.11.0~),
      python3-netcdf4 (>= 1.6.5~),
      python3-phonopy (>= 2.23~),
      python3-openbabel (>= 3.1.1~)
  * Build-Depends: pymatgen-test-files (>= 2024.6.10~)
  * debian/copyright: drop cmd_line from Files-Excluded
  * update debian patches
    - skip_nonfree_testfile.patch: use pytest skip mark not unittest
    - remove deprecated unittest skips from tests_pass_or_skip.patch
    - new test_files_writing.patch runs io qchem write tests
      in a tmpdir if the testdir is not writable. Use a class level
      fixture with tmp_path_factory, since pytest fixtures cannot be
      used as test arguments in unittest.TestCase subclasses.
  * debian/rules: execute dh_numpy3 after dh_python3

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 15:04:14 +0200

pymatgen (2024.1.27+dfsg1-7) unstable; urgency=medium

  * do not run packmol tests on armel or riscv64
    (the tests timeout on these systems)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 16:38:40 +0100

pymatgen (2024.1.27+dfsg1-6) unstable; urgency=medium

  * debian/tests test-pymatgen Depends: packmol
    for io/test_packmol.py. Also Build-Depends.
  * debian patch for CVE-2024-23346
    CVE-2024-23346_JonesFaithfulTransformation_sympy-c231cbd.patch
    applies upstream commit c231cbd to fix security vulnerability in
    JonesFaithfulTransformation. Closes: #1064514.

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Feb 2024 00:56:58 +0100

pymatgen (2024.1.27+dfsg1-5) unstable; urgency=medium

  * skip TestAnharmonicQuasiharmociDebyeApprox.test_gruneisen_parameter
    on riscv64 as well

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Feb 2024 22:27:07 +0100

pymatgen (2024.1.27+dfsg1-4) unstable; urgency=medium

  * skip TestAnharmonicQuasiharmociDebyeApprox.test_gruneisen_parameter
    from analysis/test_quasiharmonic_debye_approx.py
    on arm64, i386, ppc64el, s390x

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Feb 2024 12:24:51 +0100

pymatgen (2024.1.27+dfsg1-3) unstable; urgency=medium

  * update failing tests to skip
    - add powerpc to BAD_VASP_ARCH_LIST with s390x hppa ppc64
    - i386: test_numerical_eoswrapper
    - hppa: test_cohp
    - powerpc: test_pmg_structure
  * pytest -v not -vv in debian/tests (test-pymatgen)
  * new version works with pandas 2. Closes: #1053939.

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Feb 2024 19:18:44 +0100

pymatgen (2024.1.27+dfsg1-2) experimental; urgency=medium

  * provide PATH to scripts (pmg) during build-time tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 11:03:03 +0100

pymatgen (2024.1.27+dfsg1-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Use sphinx-build to generate docs
  * add debian/salsa-ci.yml (thanks Andreas Tille)
  * Rules-Requires-Root: no (routine-update, Andreas Tille)
  * Exclude sphinx_markdown_builder extension

  [ Drew Parsons ]
  * New upstream release
    - update Build-Depends: python3-joblib (new)
      python3-numpy (>= 1.25.0~),
      python3-h5py (>= 3.8.0~),
    - tests now located in separate tests dir
    - applies or deprecates debian patches:
      skip_failing_WulffShapeTest.patch
      docs_no_local_python.patch
      openbabel_OBAlign.patch
      no_mp_api_emmet.patch
      remove_monty_unicode2str_a8199919.diff
      test_raise_match.patch
  * update debian/copyright
    - docs now buildable, don't exclude
    - excluded test files moved to tests/files
  * update versioned Build-Depends: pymatgen-test-files (>= 2024.1.27~)
    and test file path
  * update debian patch no_mp_api_emmet.patch to stop handling matproj
    (which may not be available) in util/testing.py
  * add debian patches
    - tests_init.patch adds __init__.py to tests dir.
      Required so pytest can import tests.
    - tests_pass_or_skip.patch fixes broken tests
    - docs_index.patch puts content into index.rst
      (copies pymatgen.rst)
  * run pytest with --import-mode=prepend (build-time tests only)
  * skip SeeK tests in io/pwmat/test_inputs.py (TestGenKpt,
    TestHighSymmetryPoint) since SeeK is not available
  * update docs privacy fixes: don't remove google-analytics.com or
    replace svg badges (since they are no longer injected into docs)
  * skip test_get_parchg on loong64. Closes: #1061545.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Feb 2024 02:03:39 +0100

pymatgen (2023.06.23+dfsg1-4) unstable; urgency=medium

  * debian/tests: skip test_rotor_search_wrs, which is slow and
    sometimes times out. Closes: #1058662.
  * python3-pymatgen Depends: python3-spglib (>= 2.0.2~)
    (spglib is not identified by dh_python3, Bug#1061357)
  * python3-pymatgen Recommends: python3-ase (>= 3.22.1~)
    (optional dependency)

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jan 2024 00:40:19 +0100

pymatgen (2023.06.23+dfsg1-3) unstable; urgency=medium

  * add debian patches
    - remove_monty_unicode2str_a8199919.diff applies upstream commit
      a8199919 to remove usage of deprecated unicode2str function from
      monty. Closes: #1058040.
    - skip_test_zsl.patch skips test_zsl in numba is available, since
      it is incompatible with current numba
  * delete generated files after dh_auto_clean. Closes: #1045877.
  * Build-Depends: cython3-legacy. Closes: #1056841.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2024 01:39:27 +0100

pymatgen (2023.06.23+dfsg1-2) unstable; urgency=medium

  * mips64el: skip test_from_diff_fit in test_elastic.py
    cf. https://github.com/materialsproject/pymatgen/issues/3112
  * skip VASP tests (and others) on hppa, same as s390x, ppc64

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Jun 2023 13:47:17 +0200

pymatgen (2023.06.23+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - fixes floating point tests that failed on i386
      (see upstream Issue#3087)
  * CVE-2022-42964: add debian patch
    CVE-2022-42964_ReDOS_vulnerability.patch to apply a patch suggested
    in upstream Issue#2755 to resolve a Regular Expression Denial of
    Service. Closes: #1024017.
  * Build-Depends: python3-frozendict
  * Versioned Depends: python3-mp-api (>= 0.27.3~)
  * update debian patch skip_failing_WulffShapeTest.patch to skip
    tests using pytest not unittest
  * debian patch test_raise_match.patch aligns string of ValueError,
    see upstream Issue#3106.
  * skip MoleculeMatcherTest.test_fit in test_molecule_matcher.py
    which fails for some reason ("arg 2 is double")

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 23:46:20 +0200

pymatgen (2023.05.31+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch test_fp_comparison.patch
  * skip analysis fragmenter test
    test_babel_PC_with_RO_depth_0_vs_depth_10
    (see https://github.com/materialsproject/pymatgen/issues/3078)
  * rename debian patch no_mp_api.patch as no_mp_api_emmet.patch
    to add emmet.core handling in util/tests/test_graph_hashing.py
    - add Depends: python3-emmet-core to debian/tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Jun 2023 13:04:02 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-pymatgen-doc`.
